- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axiom_mime_parser.h File Reference

axis2 mime_parser interface More...

`#include <axutil_utils.h>`
`#include <axutil_error.h>`
`#include <axutil_utils_defines.h>`
`#include <axutil_env.h>`
`#include <axutil_allocator.h>`
`#include <axutil_string.h>`
`#include <axutil_hash.h>`
`#include <axiom_mime_const.h>`

Go to the source code of this file.

## Defines
#define | AXIOM_MIME_PARSER_BUFFER_SIZE (1024 * 1024/2)
#define | AXIOM_MIME_PARSER_MAX_BUFFERS 1000
#define | AXIOM_MIME_PARSER_END_OF_MIME_MAX_COUNT 100
## Typedefs
typedef struct axiom_mime_parser | axiom_mime_parser_t
## Functions
AXIS2_EXTERN axis2_status_t | axiom_mime_parser_parse_for_soap (axiom_mime_parser_t *mime_parser, const axutil_env_t *env, AXIS2_READ_INPUT_CALLBACK callback, void *callback_ctx, axis2_char_t *mime_boundary)
AXIS2_EXTERN axutil_hash_t * | axiom_mime_parser_parse_for_attachments (axiom_mime_parser_t *mime_parser, const axutil_env_t *env, AXIS2_READ_INPUT_CALLBACK callback, void *callback_ctx, axis2_char_t *mime_boundary, void *user_param)
AXIS2_EXTERN axutil_hash_t * | axiom_mime_parser_get_mime_parts_map (axiom_mime_parser_t *mime_parser, const axutil_env_t *env)
AXIS2_EXTERN void | axiom_mime_parser_free (axiom_mime_parser_t *mime_parser, const axutil_env_t *env)
AXIS2_EXTERN int | axiom_mime_parser_get_soap_body_len (axiom_mime_parser_t *mime_parser, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axiom_mime_parser_get_soap_body_str (axiom_mime_parser_t *mime_parser, const axutil_env_t *env)
AXIS2_EXTERN axiom_mime_parser_t * | axiom_mime_parser_create (const axutil_env_t *env)
AXIS2_EXTERN void | axiom_mime_parser_set_buffer_size (axiom_mime_parser_t *mime_parser, const axutil_env_t *env, int size)
AXIS2_EXTERN void | axiom_mime_parser_set_max_buffers (axiom_mime_parser_t *mime_parser, const axutil_env_t *env, int num)
AXIS2_EXTERN void | axiom_mime_parser_set_attachment_dir (axiom_mime_parser_t *mime_parser, const axutil_env_t *env, axis2_char_t *attachment_dir)
AXIS2_EXTERN void | axiom_mime_parser_set_caching_callback_name (axiom_mime_parser_t *mime_parser, const axutil_env_t *env, axis2_char_t *callback_name)
AXIS2_EXTERN void | axiom_mime_parser_set_mime_boundary (axiom_mime_parser_t *mime_parser, const axutil_env_t *env, axis2_char_t *mime_boundary)
AXIS2_EXTERN axis2_char_t * | axiom_mime_parser_get_mime_boundary (axiom_mime_parser_t *mime_parser, const axutil_env_t *env)

## Detailed Description

axis2 mime_parser interface